
_MCU_Init:

;MCP1664_pic_mikroc.c,30 :: 		void MCU_Init()
;MCP1664_pic_mikroc.c,32 :: 		TRISC = 0;                          // designate PORTC pins as output
	CLRF        TRISC+0 
;MCP1664_pic_mikroc.c,33 :: 		LATC  = 0;                          // set PORTC to 0
	CLRF        LATC+0 
;MCP1664_pic_mikroc.c,34 :: 		PWM2_Init( 5000 );                  // Initialize PWM2 module at 5KHz
	BSF         T2CON+0, 0, 0
	BCF         T2CON+0, 1, 0
	MOVLW       99
	MOVWF       PR2+0, 0
	CALL        _PWM2_Init+0, 0
;MCP1664_pic_mikroc.c,35 :: 		}
L_end_MCU_Init:
	RETURN      0
; end of _MCU_Init

_main:

;MCP1664_pic_mikroc.c,37 :: 		void main()
;MCP1664_pic_mikroc.c,39 :: 		MCU_Init();
	CALL        _MCU_Init+0, 0
;MCP1664_pic_mikroc.c,40 :: 		current_duty  = 0;
	CLRF        _current_duty+0 
	CLRF        _current_duty+1 
;MCP1664_pic_mikroc.c,41 :: 		PWM2_Start();
	CALL        _PWM2_Start+0, 0
;MCP1664_pic_mikroc.c,42 :: 		PWM2_Set_Duty(current_duty);
	MOVF        _current_duty+0, 0 
	MOVWF       FARG_PWM2_Set_Duty_new_duty+0 
	CALL        _PWM2_Set_Duty+0, 0
;MCP1664_pic_mikroc.c,44 :: 		while ( 1 )                         // Playing with Potentiometer P1 you can control current PWM duty cycle
L_main0:
;MCP1664_pic_mikroc.c,47 :: 		adc_rd = ADC_Read(1) & 0x0000FFFF;         // Read 10 - bit ADC value and set newly acquired 8 - bit PWM duty
	MOVLW       1
	MOVWF       FARG_ADC_Read_channel+0 
	CALL        _ADC_Read+0, 0
	MOVLW       255
	ANDWF       R0, 0 
	MOVWF       R3 
	MOVF        R1, 0 
	ANDLW       255
	MOVWF       R4 
	MOVF        R3, 0 
	MOVWF       _adc_rd+0 
	MOVF        R4, 0 
	MOVWF       _adc_rd+1 
;MCP1664_pic_mikroc.c,48 :: 		current_duty = adc_rd / 4 ;
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	RRCF        R1, 1 
	RRCF        R0, 1 
	BCF         R1, 7 
	MOVF        R0, 0 
	MOVWF       _current_duty+0 
	MOVF        R1, 0 
	MOVWF       _current_duty+1 
;MCP1664_pic_mikroc.c,49 :: 		PWM2_Set_Duty(current_duty );          // Set newly acquired duty
	MOVF        R0, 0 
	MOVWF       FARG_PWM2_Set_Duty_new_duty+0 
	CALL        _PWM2_Set_Duty+0, 0
;MCP1664_pic_mikroc.c,50 :: 		}
	GOTO        L_main0
;MCP1664_pic_mikroc.c,53 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
